Bug 18382 - sendmail by default starts on workstation setups
Summary: sendmail by default starts on workstation setups
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-05 07:07 UTC by Conan Ford
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-13 15:24:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Conan Ford 2000-10-05 07:07:31 UTC
For a KDE or GNOME workstation setup, sendmail starts automatically on 
bootup.  This is a potential issue if a security problem is found in the 
future.  I can understand it being started by default for a Server setup, 
but why workstation?  Does not sendmail require configuration to work 
properly?  Then why not wait until after it has been configured before 
enabling the daemon.

Comment 1 panu.matilainen 2000-11-13 15:24:52 UTC
Just noticed this today.. Basically it's nice to have it running to be able to
*send* mail through it but it's not supposed to start it in daemon mode on
workstation installations, see your /etc/sysconfig/sendmail, it says:
DAEMON=no
..but the initscript still starts it as a daemon. The following patch fixes it.

--- sendmail.orig	Mon Nov 13 17:24:27 2000
+++ sendmail	Mon Nov 13 17:24:44 2000
@@ -41,8 +41,8 @@
 		makemap hash /etc/mail/$i < /etc/mail/$i
 	    fi
 	done
-	daemon /usr/sbin/sendmail $([ "$DAEMON" = yes ] && echo -bd) \
-                                  $([ -n "$QUEUE" ] && echo -q$QUEUE)
+	action "" /usr/sbin/sendmail $([ "$DAEMON" = yes ] && echo -bd) \
+                                     $([ -n "$QUEUE" ] && echo -q$QUEUE)
 	RETVAL=$?
 	echo
 	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/sendmail


Comment 2 Florian La Roche 2001-01-04 13:24:39 UTC
daemon mode from sendmail does not have to do with how it is started
from the initscripts functions

Comment 3 panu.matilainen 2001-01-04 13:57:13 UTC
Well yes my "fix" is wrong but it doesn't change the fact that sendmail gets
started in daemon mode when it shouldn't.


Note You need to log in before you can comment on or make changes to this bug.